Package com.studica.frc

## Class TitanQuadEncoder

- java.lang.Object
- - com.studica.frc.TitanQuadEncoder

All Implemented Interfaces:
  `edu.wpi.first.wpilibj.CounterBase`

    public class TitanQuadEncoder
    extends java.lang.Object
    implements edu.wpi.first.wpilibj.CounterBase

TitanQuad Encoder class java documentation

### Nested Class Summary

### Nested classes/interfaces inherited from interface edu.wpi.first.wpilibj.CounterBase

`edu.wpi.first.wpilibj.CounterBase.EncodingType`

### Constructor Summary

Constructors
`TitanQuadEncoder​(TitanQuad titan, int encoder, double distPerTick0, double distPerTick1, double distPerTick2, double distPerTick3)` Initialize encoder

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `get()`
`boolean` `getDirection()`
`double` `getEncoderDistance()` Will give the distance traveled based on encoder data
`double` `getPeriod()`
`double` `getRaw()` Gets encoder's raw count
`double` `getRPM()` Gets encoder's round per minute
`double` `getSpeed()` Gets encoder's speed
`boolean` `getStopped()`
`void` `reset()`
`void` `setMaxPeriod​(double maxPeriod)`
`void` `setReverseDirection()` Sets encoder direction

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### TitanQuadEncoder

    public TitanQuadEncoder​(TitanQuad titan,
                            int encoder,
                            double distPerTick0,
                            double distPerTick1,
                            double distPerTick2,
                            double distPerTick3)

Initialize encoder

Parameters:
  `titan` - - TitanQuad to be set
  `encoder` - = Encoder to be set
  `distPerTick0` - - distance per tick value for encoder 0
  `distPerTick1` - - distance per tick value for encoder 1
  `distPerTick2` - - distance per tick value for encoder 2
  `distPerTick3` - - distance per tick value for encoder 3

### Method Detail

#### getEncoderDistance

    public double getEncoderDistance()

Will give the distance traveled based on encoder data

Returns:
  distance traveled

#### getRaw

    public double getRaw()

Gets encoder's raw count

Returns:
  Raw count

#### getRPM

    public double getRPM()

Gets encoder's round per minute

Returns:
  Round per minute

#### getSpeed

    public double getSpeed()

Gets encoder's speed

Returns:
  speed

#### setReverseDirection

    public void setReverseDirection()

Sets encoder direction

#### get

    public int get()

Specified by:
  `get` in interface `edu.wpi.first.wpilibj.CounterBase`

#### reset

    public void reset()

Specified by:
  `reset` in interface `edu.wpi.first.wpilibj.CounterBase`

#### getPeriod

    public double getPeriod()

Specified by:
  `getPeriod` in interface `edu.wpi.first.wpilibj.CounterBase`

#### setMaxPeriod

    public void setMaxPeriod​(double maxPeriod)

Specified by:
  `setMaxPeriod` in interface `edu.wpi.first.wpilibj.CounterBase`

#### getStopped

    public boolean getStopped()

Specified by:
  `getStopped` in interface `edu.wpi.first.wpilibj.CounterBase`

#### getDirection

    public boolean getDirection()

Specified by:
  `getDirection` in interface `edu.wpi.first.wpilibj.CounterBase`